## deepin-devicemanager 6.0.27

=== CMakeLists.txt ===
project(deepin-devicemanager C CXX)

include(GNUInstallDirs)
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set(CMAKE_INSTALL_PREFIX /usr)
endif()

set(DISABLE_DRIVER false CACHE BOOL "disable driver")
if (DISABLE_DRIVER)
    add_definitions(-DDISABLE_DRIVER)
endif()

set(DISABLE_POLKIT false CACHE BOOL "disable polkit debug")
if(CMAKE_BUILD_TYPE  STREQUAL "Debug")
    add_definitions(-DDISABLE_POLKIT)
endif()

add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager)
add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager-server)

#代码覆盖率开关
if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
endif()

=== deepin-devicemanager/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     V4fr3e <V4fr3e@deepin.io>
#
# Maintainer: V4fr3e <liujinli@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 5.5.10.1)
endif ()


#common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "deepin-devicemanager")
set(APP_TRANS_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/translate_generation.sh")
set(APP_DESKTOP "${APP_RES_DIR}/deepin-devicemanager.desktop")
set(APP_QRC "${APP_RES_DIR}/appimage.qrc")
set(APP_ICON_FILE "${APP_RES_DIR}/icons/deepin/builtin/deepin-devicemanager.svg")
set(APP_AUTHENTICATION "${APP_RES_DIR}/com.deepin.deepin-devicemanager.policy")
set(APP_SERVICE "${APP_RES_DIR}/dbus/com.deepin.Devicemanager.service")
project(${APP_BIN_NAME})

set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")

option (PERF_ON "Use provided math implementation" ON)

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()

# 判断系统环境
execute_process(COMMAND cat /etc/os-version OUTPUT_VARIABLE OS_INFO_STR)
string(REGEX MATCHALL "MajorVersion=[0-9]+" MAJOR_STR "${OS_INFO_STR}")
string(REGEX MATCH "[0-9]+" MAJOR_VERSION "${MAJOR_STR}")
if (MAJOR_VERSION MATCHES "23")
    message("--------------------- OS_BUILD_V23 on")
    add_definitions(-DOS_BUILD_V23)
endif()

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

#Generate the qm file
execute_process(COMMAND bash ${APP_TRANS_SCRIPT} WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/")
configure_file(src/environments.h.in environments.h @ONLY)
configure_file(src/config.h.in config.h @ONLY)

# include dir
MACRO(SUBDIRLIST result curdir)
  FILE(GLOB children RELATIVE ${curdir} ${curdir}/*)
  SET(dirlist "")
  FOREACH(child ${children})
    IF(IS_DIRECTORY ${curdir}/${child})
      LIST(APPEND dirlist ${child})
    ENDIF()
  ENDFOREACH()
  SET(${result} ${dirlist})
ENDMACRO()
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
SUBDIRLIST(dirs ${CMAKE_CURRENT_SOURCE_DIR}/src)
foreach(dir ${dirs})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${dir})
endforeach()
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/docx)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/QtXlsxWriter/include/QtXlsx)

#add cups and zmq
include_directories("/usr/include/cups/")
link_libraries("cups")

include_directories(${CMAKE_CURRENT_LIST_DIR}/src/DDLog/)
file(GLOB_RECURSE SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp ${CMAKE_CURRENT_LIST_DIR}/3rdparty/*.cpp)
file(GLOB_RECURSE SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h ${CMAKE_CURRENT_LIST_DIR}/3rdparty/*.h)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(PolkitQt5-1 REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkCore REQUIRED)

include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

# Tell CMake to create the executable
add_executable(${PROJECT_NAME} ${SRC_CPP} ${SRC_H} ${APP_QRC})

target_include_directories(${APP_BIN_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
target_link_libraries(${APP_BIN_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    Qt5::Xml
    Qt5::Network
    PolkitQt5-1::Agent
)

# Install files
install(TARGETS deepin-devicemanager DESTINATION ${CMAKE_INSTALL_BINDIR})
file(GLOB APP_QM_FILES "translations/*.qm")
install(FILES ${APP_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-devicemanager/translations)
install(FILES ${APP_DESKTOP} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES ${APP_ICON_FILE} DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
install(DIRECTORY ${APP_RES_DIR}/deepin-devicemanager DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
install(FILES ${APP_AUTHENTICATION} DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/actions)
install(FILES ${APP_SERVICE} DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)
install(FILES ${CMAKE_SOURCE_DIR}/deepin-devicemanager/assets/deepin-devicemanager.json DESTINATION /usr/share/deepin-log-viewer/deepin-log.conf.d/)
#hw机型增加DConfig配置
set(APPID org.deepin.devicemanager)
set(configFile ${PROJECT_SOURCE_DIR}/assets/org.deepin.devicemanager.json)
if (DEFINED DSG_DATA_DIR)
    message("-- DConfig is supported by DTK")
    dconfig_meta_files(APPID ${APPID} FILES ${configFile})
endif()

# Test--------deepin-devicemanager
if (CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
   add_subdirectory(./tests)
endif()

=== deepin-devicemanager-server/deepin-devicecontrol/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(BIN_NAME "deepin-devicecontrol")

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

# 设置包含头文件的时候不用包含路径 begin ****************************************************************************************
MACRO(SUBDIRLIST result curdir)
  FILE(GLOB children RELATIVE ${curdir} ${curdir}/*)
  SET(dirlist "")
  FOREACH(child ${children})
    IF(IS_DIRECTORY ${curdir}/${child})
      LIST(APPEND dirlist ${child})
    ENDIF()
  ENDFOREACH()
  SET(${result} ${dirlist})
ENDMACRO()
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../deepin-devicemanager/src/DDLog)
SUBDIRLIST(dirs ${CMAKE_CURRENT_SOURCE_DIR}/src)
foreach(dir ${dirs})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${dir})
endforeach()
# 设置包含头文件的时候不用包含路径 end ****************************************************************************************

file(GLOB_RECURSE SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
file(GLOB_RECURSE SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h)

find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS Core DBus Network Sql REQUIRED)
find_package(DtkCore REQUIRED)
find_package(PolkitQt5-1 REQUIRED)
find_package(deepin-qdbus-service REQUIRED)

if(NOT DISABLE_DRIVER)
    find_package(QApt REQUIRED)
    PKG_SEARCH_MODULE(kmod REQUIRED libkmod IMPORTED_TARGET)
endif()

add_executable(${BIN_NAME}
    ${SRC_CPP}
    ${SRC_H}
)

include_directories("/usr/include/cups/")

add_definitions(-DSERVICE_CONFIG_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-service-manager/")

target_include_directories(${BIN_NAME} PUBLIC
  Qt5::Core
  Qt5::DBus
  Qt5::Network
  Qt5::Sql
  ${deepin-qdbus-service_INCLUDE_DIR}
)

target_link_libraries(${BIN_NAME} PRIVATE
    Qt5::Core
    Qt5::DBus
    Qt5::Network
    Qt5::Sql
    PolkitQt5-1::Agent
    ${DtkCore_LIBRARIES}
    ${deepin-qdbus-service_LIBRARIES}
    cups
    )
if(NOT DISABLE_DRIVER)
    target_link_libraries(${BIN_NAME} PRIVATE
        kmod
        QApt
        )
endif()

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${BIN_NAME}.json DESTINATION share/deepin-service-manager/other/)
install(FILES org.deepin.devicecontrol.conf DESTINATION share/dbus-1/system.d/)
install(FILES org.deepin.DeviceControl.service DESTINATION share/dbus-1/system-services/)
install(FILES deepin-devicecontrol.service DESTINATION lib/systemd/system/)

=== deepin-devicemanager-server/deepin-deviceinfo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(BIN_NAME "deepin-deviceinfo")

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

# 设置包含头文件的时候不用包含路径 begin ****************************************************************************************
MACRO(SUBDIRLIST result curdir)
  FILE(GLOB children RELATIVE ${curdir} ${curdir}/*)
  SET(dirlist "")
  FOREACH(child ${children})
    IF(IS_DIRECTORY ${curdir}/${child})
      LIST(APPEND dirlist ${child})
    ENDIF()
  ENDFOREACH()
  SET(${result} ${dirlist})
ENDMACRO()
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../deepin-devicemanager/src/DDLog)
SUBDIRLIST(dirs ${CMAKE_CURRENT_SOURCE_DIR}/src)
foreach(dir ${dirs})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${dir})
endforeach()
# 设置包含头文件的时候不用包含路径 end ****************************************************************************************

file(GLOB_RECURSE SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
file(GLOB_RECURSE SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h)

link_libraries("udev")

find_package(Qt5 COMPONENTS Core DBus REQUIRED)
find_package(DtkCore REQUIRED)


add_library(${BIN_NAME} MODULE
    ${SRC_CPP}
    ${SRC_H}
)

target_include_directories(${BIN_NAME} PUBLIC
  Qt5::Core
  Qt5::DBus
)

target_link_libraries(${BIN_NAME} PRIVATE
  Qt5::Core
  Qt5::DBus
  ${DtkCore_LIBRARIES}
)

    install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
    install(FILES ${BIN_NAME}.json DESTINATION share/deepin-service-manager/system/)

install(FILES org.deepin.deviceinfo.conf DESTINATION share/dbus-1/system.d/ )

=== deepin-devicemanager-server/tests/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 5.5.10.1)
endif ()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option (PERF_ON "Use provided math implementation" ON)

# 设置包含头文件的时候不用包含路径 begin ****************************************************************************************
macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../deepin-deviceinfo/src)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../deepin-devicecontrol/src)
SUBDIRLIST(deviceinfo_dirs ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-deviceinfo/src)
SUBDIRLIST(devicecontrol_dirs ${CMAKE_CURRENT_SOURCE_DIR}/../deepin-devicecontrol/src)
foreach(subdir ${deviceinfo_dirs})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../deepin-deviceinfo/src/${subdir})
endforeach()
foreach(subdir ${devicecontrol_dirs})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../deepin-devicecontrol/src/${subdir})
endforeach()
# 设置包含头文件的时候不用包含路径 end ****************************************************************************************

find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})

find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Sql REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(DtkCore REQUIRED)
find_package(PolkitQt5-1 REQUIRED)
find_package(QApt REQUIRED)

PKG_SEARCH_MODULE(kmod REQUIRED libkmod IMPORTED_TARGET)

set(PROJECT_NAME_TEST
    ${PROJECT_NAME}-test)

ADD_COMPILE_OPTIONS(-fno-access-control)

#src
file(GLOB_RECURSE INFO_SRCS
     ${CMAKE_CURRENT_LIST_DIR}/../deepin-deviceinfo/src/*.cpp
    )
file(GLOB_RECURSE CONTROL_SRCS
     ${CMAKE_CURRENT_LIST_DIR}/../deepin-devicecontrol/src/*.cpp
    )
# remove src main.cpp or will multi define
list(REMOVE_ITEM INFO_SRCS ${CMAKE_CURRENT_LIST_DIR}/../deepin-deviceinfo/src/plugin.cpp)
list(REMOVE_ITEM CONTROL_SRCS ${CMAKE_CURRENT_LIST_DIR}/../deepin-devicecontrol/src/main.cpp)

#test src
file(GLOB_RECURSE TEST_SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
file(GLOB_RECURSE TEST_SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h)

link_libraries("udev")

add_executable(${PROJECT_NAME_TEST} ${INFO_SRCS} ${CONTROL_SRCS} ${TEST_SRC_CPP} ${TEST_SRC_H})

include_directories("/usr/include/cups/")

target_include_directories(${PROJECT_NAME_TEST} PUBLIC 
    ${DtkWidget_INCLUDE_DIRS}
    ${OBJECT_BINARY_DIR}
    )

target_link_libraries(${PROJECT_NAME_TEST}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    Qt5::Sql
    Qt5::Network
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    PolkitQt5-1::Agent
    pthread
    kmod
    QApt
    cups
    )

# 设置添加gocv相关信息的输出
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
endif()

=== debian/changelog ===
deepin-devicemanager (6.0.27) unstable; urgency=medium

  * new version 6.0.27.

 -- shuaijie <shuaijie@uniontech.com>  Thu, 26 Jun 2024 11:19:00 +0800

deepin-devicemanager (6.0.26) unstable; urgency=medium

  * new version 6.0.26.

 -- shuaijie <shuaijie@uniontech.com>  Thu, 17 Apr 2024 16:19:06 +0800

deepin-devicemanager (6.0.25) unstable; urgency=medium

  * new version 6.0.25.

 -- shuaijie <shuaijie@uniontech.com>  Sun, 07 Apr 2024 10:19:06 +0800

deepin-devicemanager (6.0.24) unstable; urgency=medium

  * Update tag to 6.0.24.

 -- lvwujun <lvwujun@uniontech.com>  Thu, 28 Mar 2024 17:03:34 +0800

deepin-devicemanager (6.0.23) unstable; urgency=medium

  * new version 6.0.23

 -- shuaijie <shuaijie@uniontech.com>  Wed, 13 Mar 2024 14:50:06 +0800

deepin-devicemanager (6.0.22) unstable; urgency=medium

  * new version 6.0.22

 -- shuaijie <shuaijie@uniontech.com>  Fri, 01 Mar 2024 14:50:01 +0800

deepin-devicemanager (6.0.21) unstable; urgency=medium

  * fix some bugs.

 -- fengli <fengli@uniontech.com>  Wed, 21 Feb 2024 16:57:16 +0800

deepin-devicemanager (6.0.20) unstable; urgency=medium

  * new version 6.0.20

 -- shuaijie <shuaijie@uniontech.com>  Thu, 01 Feb 2024 14:10:01 +0800

deepin-devicemanager (6.0.19) unstable; urgency=medium

  * new version 6.0.19

 -- shuaijie <shuaijie@uniontech.com>  Fri, 19 Jan 2024 13:20:01 +0800

deepin-devicemanager (6.0.18) unstable; urgency=medium

  * new version 6.0.18

 -- shuaijie <shuaijie@uniontech.com>  Thu, 10 Jan 2024 13:40:06 +0800

deepin-devicemanager (6.0.17) unstable; urgency=medium

  * new version 6.0.17

 -- shuaijie <shuaijie@uniontech.com>  Fri, 05 Jan 2024 10:20:11 +0800

deepin-devicemanager (6.0.16) unstable; urgency=medium

  * new version 6.0.16

 -- shuaijie <shuaijie@uniontech.com>  Fri, 22 Dec 2023 11:20:11 +0800

deepin-devicemanager (6.0.15) unstable; urgency=medium

  * new version 6.0.15

 -- shuaijie <shuaijie@uniontech.com>  Wed, 6 Dec 2023 13:26:01 +0800

deepin-devicemanager (6.0.14) unstable; urgency=medium

  * feat: drivers backup and restore

 --  fengli<fengli@uniontech.com>  Thu, 09 Nov 2023 13:13:41 +0800

deepin-devicemanager (6.0.13) unstable; urgency=medium

  * new version 6.0.13

 -- fengli<fengli@uniontech.com>  Thu, 09 Nov 2023 13:08:31 +0800

deepin-devicemanager (6.0.12) unstable; urgency=medium

  * Community Edition removal devicemanager.list.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 29 Aug 2023 17:11:02 +0800

deepin-devicemanager (6.0.11) unstable; urgency=medium

  * new version 6.0.11

 -- shuaijie <shuaijie@uniontech.com>  Wed, 16 Aug 2023 15:44:01 +0800

deepin-devicemanager (6.0.10) unstable; urgency=medium

  * new version 6.0.10

 -- shuaijie <shuaijie@uniontech.com>  Wed, 19 Jul 2023 13:12:08 +0800

deepin-devicemanager (6.0.9) unstable; urgency=medium

  * new version 6.0.9

 -- shuaijie <shuaijie@uniontech.com>  Fri, 16 Jun 2023 11:46:16 +0800

deepin-devicemanager (6.0.8) unstable; urgency=medium

  * new version 6.0.8

 -- shuaijie <shuaijie@uniontech.com>  Wed, 7 Jun 2023 10:35:06 +0800

deepin-devicemanager (6.0.7) unstable; urgency=medium

  * new version 6.0.7

 -- shuaijie <shuaijie@uniontech.com>  Fri, 12 May 2023 11:17:25 +0800

deepin-devicemanager (6.0.6) unstable; urgency=medium

  * New version 6.0.6

 -- liuzheng <wangyu@uniontech.com>  Mon, 13 Mar 2023 15:31:31 +0800

deepin-devicemanager (6.0.5) unstable; urgency=medium

  * update version.

 -- liuzheng <liuzheng@uniontech.com>  Mon, 16 Jan 2023 17:46:54 +0800

deepin-devicemanager (6.0.4) unstable; urgency=medium

  * New version 6.0.4

 -- wangyu <wangyu@uniontech.com>  Fri, 6 Jan 2023 10:01:18 +0800

deepin-devicemanager (6.0.3) unstable; urgency=medium

  * New version 6.0.3

 -- wangyu <wangyu@uniontech.com>  Wed, 9 Nov 2022 10:03:18 +0800

deepin-devicemanager (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- wangyu <wangyu@uniontech.com>  Sat, 29 Oct 2022 15:44:00 +0800

deepin-devicemanager (6.0.1) unstable; urgency=medium

  * New version 6.0.1

 -- liuzheng <liuzheng@uniontech.com>  Fri, 21 Oct 2022 10:08:00 +0800

deepin-devicemanager (6.0.0) unstable; urgency=medium

  * New version 6.0.0

 -- wangyu <wangyu@uniontech.com>  Fri, 21 Oct 2022 10:08:00 +0800

=== debian/control ===
Source: deepin-devicemanager
Section: devel
Priority: optional
Maintainer: Packages <packages@deepin.com>
Build-Depends: debhelper (>= 11), pkg-config, cmake, qtbase5-dev, libzmq3-dev, libdtkwidget-dev, libdtkgui-dev, qtbase5-private-dev, libcups2-dev, libdtkcore-dev (>= 5.2.2.2),libgtest-dev,libkmod-dev,libqapt-dev,libqapt3-runtime,libpolkit-qt5-1-dev,qttools5-dev,qttools5-dev-tools,deepin-desktop-base,libdeepin-service-framework-dev
Standards-Version: 4.1.3

Package: deepin-devicemanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode, x11-xserver-utils, hwinfo, cups, upower, deepin-shortcut-viewer, lshw, libdtkcore5 (>= 5.2.2.2),libkmod2,libdeepin-service-framework,deepin-service-manager
Recommends: uos-reporter, deepin-event-log, deepin-elf-sign-tool
Description: Device Manager is a handy tool for viewing hardware information and managing the devices.
 Device Manager helps users manage hardware devices installed on computers,
 through which users can view parameters and export data of all hardware devices running in the system.

## deepin-devicemanager 6.0.28

=== deepin-devicemanager/tests/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 5.5.10.1)
endif ()


#common resource names

set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE  -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")

option (PERF_ON "Use provided math implementation" ON)

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")

#Generate the qm file
#message(${CMAKE_CURRENT_SOURCE_DIR})
execute_process(COMMAND bash ${APP_TRANS_SCRIPT} WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/")
configure_file(../src/environments.h.in environments.h @ONLY)
configure_file(../src/config.h.in config.h @ONLY)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(PolkitQt5-1 REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkCore REQUIRED)


#add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager/tests/)
# Test--------deepin-devicemanager
find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})

set(PROJECT_NAME_TEST
    ${PROJECT_NAME}-test)

ADD_COMPILE_OPTIONS(-fno-access-control)

#安全测试的开关
set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")

if(CMAKE_SAFETYTEST STREQUAL "")
    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")

#Include all third
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/QtXlsxWriter/)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/docx/)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/)

#add cups
include_directories("/usr/include/cups/")
link_libraries("cups")

#src
file(GLOB_RECURSE SRC_CPP
     ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp
     ${CMAKE_CURRENT_LIST_DIR}/../3rdparty/*.cpp
    )
# remove src main.cpp or will multi define
list(REMOVE_ITEM SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/../src/main.cpp)

file(GLOB_RECURSE TEST_SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
file(GLOB_RECURSE TEST_SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h)
add_executable(${PROJECT_NAME_TEST} ${SRC_CPP} ${TEST_SRC_CPP} ${TEST_SRC_H})

target_include_directories(${PROJECT_NAME_TEST}
    PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})

target_link_libraries(${PROJECT_NAME_TEST}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    Qt5::Xml
    Qt5::Test
    Qt5::Network
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    PolkitQt5-1::Agent
    pthread
)

add_custom_target(test
    COMMAND echo " =================== TEST BEGIN ==================== "
    COMMAND ${CMAKE_BINARY_DIR}/deepin-devicemanager/tests/${PROJECT_NAME_TEST}
    COMMAND echo " =================== TEST END ==================== "
)
#'make test'命令依赖与我们的测试程序
add_dependencies(test ${PROJECT_NAME_TEST})

# 设置添加gocv相关信息的输出
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")

if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
endif()

=== debian/changelog ===
deepin-devicemanager (6.0.28) unstable; urgency=medium

  * new version 6.0.28.

 -- shuaijie <shuaijie@uniontech.com>  Mon, 02 Sep 2024 17:02:00 +0800

## deepin-devicemanager 6.0.40

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+cmake_minimum_required(VERSION 3.7)
 project(deepin-devicemanager C CXX)
 
 include(GNUInstallDirs)
@@ -15,6 +16,9 @@
     add_definitions(-DDISABLE_POLKIT)
 endif()
 
+# 设置 QT_VERSION 变量
+set(QT_VERSION_MAJOR 6)
+
 add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager)
 add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager-server)

=== deepin-devicemanager/CMakeLists.txt ===
--- 
+++ 
@@ -75,7 +75,7 @@
 endif()
 
 #Generate the qm file
-execute_process(COMMAND bash ${APP_TRANS_SCRIPT} WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/")
+execute_process(COMMAND bash ${APP_TRANS_SCRIPT} ${QT_VERSION_MAJOR} WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/")
 configure_file(src/environments.h.in environments.h @ONLY)
 configure_file(src/config.h.in config.h @ONLY)
 
@@ -106,24 +106,89 @@
 file(GLOB_RECURSE SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp ${CMAKE_CURRENT_LIST_DIR}/3rdparty/*.cpp)
 file(GLOB_RECURSE SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h ${CMAKE_CURRENT_LIST_DIR}/3rdparty/*.h)
 
-# Find the library
-find_package(PkgConfig REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5 COMPONENTS DBus REQUIRED)
-find_package(Qt5Network REQUIRED)
-find_package(Qt5Gui REQUIRED)
-find_package(Qt5Xml REQUIRED)
-find_package(PolkitQt5-1 REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(DtkCore REQUIRED)
-
-include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
+# 定义一个宏来根据QT_VERSION_MAJOR选择性执行代码
+macro(SET_QT_VERSION)
+  if(${QT_VERSION_MAJOR} EQUAL 6)
+    # Qt6 环境
+    find_package(PkgConfig REQUIRED)
+    find_package(Qt6 COMPONENTS 
+        Gui 
+        Widgets 
+        DBus 
+        LinguistTools 
+        Network 
+        Concurrent 
+        Sql 
+        Svg 
+        SvgWidgets 
+        Xml 
+        OpenGL 
+        Core 
+        OpenGLWidgets
+        REQUIRED
+    )
+
+    find_package(PolkitQt6-1 REQUIRED)
+    find_package(Dtk6 COMPONENTS
+        Widget
+        Core
+        REQUIRED
+    )
+  elseif(${QT_VERSION_MAJOR} EQUAL 5)
+    # Qt5 环境
+    find_package(PkgConfig REQUIRED)
+    find_package(Qt5Widgets REQUIRED)
+    find_package(Qt5 COMPONENTS DBus REQUIRED)
+    find_package(Qt5Network REQUIRED)
+    find_package(Qt5Gui REQUIRED)
+    find_package(Qt5Xml REQUIRED)
+    find_package(PolkitQt5-1 REQUIRED)
+    find_package(DtkWidget REQUIRED)
+    find_package(DtkCore REQUIRED)
+  else()
+    message(FATAL_ERROR "Unsupported QT_VERSION_MAJOR: ${QT_VERSION_MAJOR}")
+  endif()
+endmacro()
+
+# 调用宏
+SET_QT_VERSION()
+
+if(${QT_VERSION_MAJOR} EQUAL 6)
+    find_package(QApt-qt6 REQUIRED)
+    include_directories(${QApt-qt6_INCLUDE_DIRS})
+    set(QAPT_LIB QApt-qt6)
+elseif(${QT_VERSION_MAJOR} EQUAL 5)
+    find_package(QApt REQUIRED)
+    include_directories(${QApt_INCLUDE_DIRS})
+    set(QAPT_LIB QApt)
+else()
+    message(FATAL_ERROR "Unsupported QT_VERSION_MAJOR: ${QT_VERSION_MAJOR}")
+endif()
+
+#include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
+include_directories(${Qt6Gui_PRIVATE_INCLUDE_DIRS})
 
 # Tell CMake to create the executable
 add_executable(${PROJECT_NAME} ${SRC_CPP} ${SRC_H} ${APP_QRC})
-
 target_include_directories(${APP_BIN_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
-target_link_libraries(${APP_BIN_NAME}
+
+if(${QT_VERSION_MAJOR} EQUAL 6)
+    # Qt6 environment
+    target_link_libraries(${APP_BIN_NAME}
+    Dtk6::Core
+    Dtk6::Widget
+    Qt6::Core
+    Qt6::Gui
+    Qt6::Widgets
+    Qt6::DBus
+    Qt6::Xml
+    Qt6::Network
+    ${QAPT_LIB}
+    PolkitQt6-1::Agent
+)
+elseif(${QT_VERSION_MAJOR} EQUAL 5)
+    # Qt5 environment
+    target_link_libraries(${APP_BIN_NAME}
     ${DtkWidget_LIBRARIES}
     ${DtkCore_LIBRARIES}
     Qt5::Core
@@ -134,6 +199,9 @@
     Qt5::Network
     PolkitQt5-1::Agent
 )
+else()
+    message(FATAL_ERROR "Unsupported QT_VERSION_MAJOR: ${QT_VERSION_MAJOR}")
+endif()
 
 # Install files
 install(TARGETS deepin-devicemanager DESTINATION ${CMAKE_INSTALL_BINDIR})
@@ -148,13 +216,21 @@
 #hw机型增加DConfig配置
 set(APPID org.deepin.devicemanager)
 set(configFile ${PROJECT_SOURCE_DIR}/assets/org.deepin.devicemanager.json)
-if (DEFINED DSG_DATA_DIR)
-    message("-- DConfig is supported by DTK")
-    dconfig_meta_files(APPID ${APPID} FILES ${configFile})
+if(${QT_VERSION_MAJOR} EQUAL 6)
+    if (DEFINED DSG_DATA_DIR)
+        message("-- DConfig is supported by DTK")
+        dtk_add_config_meta_files(APPID ${APPID} FILES ${configFile})
+    endif()
+elseif(${QT_VERSION_MAJOR} EQUAL 5)
+    if (DEFINED DSG_DATA_DIR)
+        message("-- DConfig is supported by DTK")
+        dconfig_meta_files(APPID ${APPID} FILES ${configFile})
+    endif()
+else()
+    message(FATAL_ERROR "Unsupported QT_VERSION_MAJOR: ${QT_VERSION_MAJOR}")
 endif()
 
 # Test--------deepin-devicemanager
 if (CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
    add_subdirectory(./tests)
 endif()
-

=== debian/changelog ===
deepin-devicemanager (6.0.40) unstable; urgency=medium

  * Update version to 6.0.40.
 
 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 11:24:56 +0800

deepin-devicemanager (6.0.39) unstable; urgency=medium

  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:07:28 +0800

deepin-devicemanager (6.0.38) unstable; urgency=medium

  * chore: New version 6.0.38.

 -- Wang Yu <wangyu@uniontch.com>  Wed, 02 Apr 2025 16:08:21 +0800

deepin-devicemanager (6.0.37) unstable; urgency=medium

  * chore: New version 6.0.37.

 -- Wang Yu <wangyu@uniontch.com>  Wed, 12 Mar 2025 17:51:57 +0800

deepin-devicemanager (6.0.36) unstable; urgency=medium

  * chore: New version 6.0.36.

 -- Wang Yu <wangyu@uniontch.com>  Tue, 11 Mar 2025 20:46:25 +0800

deepin-devicemanager (6.0.35) unstable; urgency=medium

  * chore: New version 6.0.35.

 -- Wang Yu <wangyu@uniontch.com>  Fri, 07 Mar 2025 10:33:17 +0800

deepin-devicemanager (6.0.34) unstable; urgency=medium

  * chore: New version 6.0.34.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 06 Mar 2025 19:01:16 +0800

deepin-devicemanager (6.0.33) unstable; urgency=medium

  * chore: New version 6.0.33.

 -- Wang Yu <wangyu@uniontch.com>  Fri, 21 Feb 2025 10:57:53 +0800

deepin-devicemanager (6.0.32) unstable; urgency=medium

  * chore: New version 6.0.32.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 14 Feb 2025 09:18:53 +0800

deepin-devicemanager (6.0.31) unstable; urgency=medium

  * fix: feat: qt6 adaptation

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 20 Jan 2025 17:35:26 +0800

deepin-devicemanager (6.0.30) unstable; urgency=medium

  * chore: [disk] support multis lvm /dev/mapper

 -- renbin <renbin@uniontech.com>  Sat, 14 Dec 2024 13:30:43 +0800

deepin-devicemanager (6.0.29) unstable; urgency=medium

  * fix: toml filename del serialnumber(Bug: 272885)
  * fix: bluetooth add alias proper(Bug: 269257)
  * fix: [cmd] Remove bash calls and system script calls(Task: 362323)
  * fix: [cmd] Add handling of the 'cat/boot/config*' command(Task: 362323)
  * fix:  adpator V23 dde for PS2 mouse wakeup(Bug: 271823)
  * chore: [security] add polkit support (#355)
    Thanks to nullptr
  * feat: [translation]add transifex config(Task: 361363)
  * fix: add polkit support for root app(Bug: 273929)
  * fix: add S3 wakeup detect support(Bug: 273929)
  * fix: after S3 wakeup init hardware must delay(Bug: 273929)
  * chore: [security] add polkit with setSingleInstance(Task: 364005)
  * fix:rounded ufs disk capacity(Bug: 276121)
  * fix: the screen size unbelive(Bug: 277559)
  * chore: [security] strong the dbus interface(Task: 365257)
  * fix: display of the number of a logical processor (Bug: 278565)
  * chore: Solve the problem that the plug-in service fails to start
    due to security reinforcement.
  * fix: support ext plugin monitor(Bug: 283735)
  * fix: Resolve the issue of empty device information display(Bug: 281813)
  * fix: fixed the issue that deb verify failed

 -- renbin <renbin@uniontech.com>  Fri, 22 Nov 2024 17:33:20 +0800

## deepin-devicemanager 6.0.44

=== debian/changelog ===
deepin-devicemanager (6.0.44) unstable; urgency=medium

  * chore: New version 6.0.44.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 17:56:25 +0800

deepin-devicemanager (6.0.43) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 24 Jun 2025 17:51:19 +0800

deepin-devicemanager (6.0.42) unstable; urgency=medium

  * chore: New version 6.0.42.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:04:47 +0800

deepin-devicemanager (6.0.41) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 14:45:36 +0800

## deepin-devicemanager 6.0.46

=== deepin-devicemanager-server/deepin-deviceinfo/CMakeLists.txt ===
--- 
+++ 
@@ -34,27 +34,81 @@
 
 link_libraries("udev")
 
-find_package(Qt5 COMPONENTS Core DBus REQUIRED)
-find_package(DtkCore REQUIRED)
+# 定义一个宏来根据QT_VERSION选择性执行代码
+macro(SET_QT_VERSION)
+  if(${QT_VERSION_MAJOR} EQUAL 6)
+    # Qt6 环境
+    find_package(Qt6 COMPONENTS Core DBus REQUIRED)
+    find_package(PolkitQt6-1 REQUIRED)
+    find_package(Dtk6 COMPONENTS
+      Widget
+      Core
+      REQUIRED
+    )
+  elseif(${QT_VERSION_MAJOR} EQUAL 5)
+    # Qt5 环境
+    find_package(Qt5 COMPONENTS Core DBus REQUIRED)
+    find_package(DtkCore REQUIRED)
+    find_package(PolkitQt5-1 REQUIRED)
+  else()
+    message(FATAL_ERROR "Unsupported QT_VERSION: ${QT_VERSION}")
+  endif()
+endmacro()
 
+SET_QT_VERSION()
+
+if(${QT_VERSION_MAJOR} EQUAL 6)
+    find_package(QApt-qt6 REQUIRED)
+    include_directories(${QApt-qt6_INCLUDE_DIRS})
+    set(QAPT_LIB QApt-qt6)
+elseif(${QT_VERSION_MAJOR} EQUAL 5)
+    find_package(QApt REQUIRED)
+    include_directories(${QApt_INCLUDE_DIRS})
+    set(QAPT_LIB QApt)
+else()
+    message(FATAL_ERROR "Unsupported QT_VERSION: ${QT_VERSION}")
+endif()
 
 add_library(${BIN_NAME} MODULE
     ${SRC_CPP}
     ${SRC_H}
 )
 
-target_include_directories(${BIN_NAME} PUBLIC
-  Qt5::Core
-  Qt5::DBus
-)
+if(${QT_VERSION_MAJOR} EQUAL 6)
+    # Qt6 environment
+    target_include_directories(${BIN_NAME} PUBLIC
+    Qt6::Core
+    Qt6::DBus
+    ${QAPT_LIB}
+  )
+  
+  target_link_libraries(${BIN_NAME} PRIVATE
+    Dtk6::Core
+    Dtk6::Widget
+    Qt6::Core
+    Qt6::DBus
+    PolkitQt6-1::Agent
+    ${Dtk6Core_LIBRARIES}
+    ${QAPT_LIB}
+  )
+elseif(${QT_VERSION_MAJOR} EQUAL 5)
+    # Qt5 environment
+    target_include_directories(${BIN_NAME} PUBLIC
+    Qt5::Core
+    Qt5::DBus
+  )
+  
+  target_link_libraries(${BIN_NAME} PRIVATE
+    Qt5::Core
+    Qt5::DBus
+    PolkitQt5-1::Agent
+    ${DtkCore_LIBRARIES}
+  )
+else()
+    message(FATAL_ERROR "Unsupported QT_VERSION: ${QT_VERSION}")
+endif()
 
-target_link_libraries(${BIN_NAME} PRIVATE
-  Qt5::Core
-  Qt5::DBus
-  ${DtkCore_LIBRARIES}
-)
 
-    install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
-    install(FILES ${BIN_NAME}.json DESTINATION share/deepin-service-manager/system/)
-
+install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
+install(FILES ${BIN_NAME}.json DESTINATION share/deepin-service-manager/system/)
 install(FILES org.deepin.deviceinfo.conf DESTINATION share/dbus-1/system.d/ )

=== debian/changelog ===
deepin-devicemanager (6.0.46) unstable; urgency=medium

  * chore: update the help manual

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 17 Jul 2025 20:40:10 +0800

deepin-devicemanager (6.0.45) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:21:00 +0800

=== debian/control ===
Source: deepin-devicemanager
Section: devel
Priority: optional
Maintainer: Packages <packages@deepin.com>
Build-Depends: debhelper (>= 11),
 pkg-config,
 cmake,
 libzmq3-dev,
 libcups2-dev,
 libgtest-dev,
 libkmod-dev,
 libqapt-qt6-dev,
 libqapt3-qt6-runtime,
 libpolkit-qt6-1-dev,
 deepin-desktop-base,
 libdeepin-service-framework-dev (> 1.0.9),
 qt6-base-dev,
 qt6-base-dev-tools,
 qt6-base-private-dev,
 qt6-l10n-tools,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 libdtk6gui-dev,
 libdtk6widget-dev,
 libdtk6core-dev,
 qt6-svg-dev,
 libqt6sql6
Standards-Version: 4.1.3

Package: deepin-devicemanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode, x11-xserver-utils, hwinfo, cups, upower, deepin-shortcut-viewer, lshw, libdtk6core,libkmod2,libdeepin-service-framework,deepin-service-manager
Recommends: uos-reporter, deepin-event-log, deepin-elf-sign-tool
Description: Device Manager is a handy tool for viewing hardware information and managing the devices.
 Device Manager helps users manage hardware devices installed on computers,
 through which users can view parameters and export data of all hardware devices running in the system.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT := 6
# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/default.mk

override_dh_auto_configure:
	dh_auto_configure -- \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
    -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## deepin-devicemanager 6.0.50

=== debian/changelog ===
deepin-devicemanager (6.0.50) unstable; urgency=medium

  * chore: update translations and add Lao language support

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 15 Aug 2025 10:42:36 +0800

deepin-devicemanager (6.0.49) unstable; urgency=medium

  * chore: update translations

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 14:36:12 +0800

deepin-devicemanager (6.0.48) unstable; urgency=medium

  * Update version to 6.0.48. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 08 Aug 2025 13:34:56 +0800

deepin-devicemanager (6.0.47) unstable; urgency=medium

  * chore: More logs for ui.
  * fix: add null check for QNetworkInformation instance.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 31 Jul 2025 16:41:04 +0800
